## 4.2.3 - 5th March 2024

### Fixed
- duplication issue in `CometChatConversations`, `CometChatUsers`, and `CometChatGroups`. 
- real time message receiving when filtering categories and types from messageRequestBuilder in `CometChatMessageList`.

## 4.2.2 - 22nd February 2024

### Fixed
- `bubbleView` alignment issue fixed in `CometChatMessageList`
- missing configurations `hideAppBar`, `submitIcon`, `selectionIcon` forwarded from `CometChatUsersWithMessages`, `CometChatGroupsWithMessages`, `CometChatConversationsWithMessages` to `CometChatUsers`, `CometChatGroups`, `CometChatConversations` respectively.


## 4.2.1 - 4th February 2024

### Added
- onSchedulerMessageReceived listeners implemented  in `CometChatMessageList`,`CometChatThreadedMessages`,`SmartReplyExtension`, `AIConversationStarter` , `AIConversationSummary` and `AiSmartReplyExtension`.
- `hideAppBar` property added in `CometChatConversations`  


### Changed

- [CometChat Chat SDK](https://pub.dev/packages/cometchat_sdk) dependency upgraded to `cometchat_sdk: ^4.0.5`
- [cometchat_uikit_shared](https://pub.dev/packages/cometchat_uikit_shared) dependency upgraded to `cometchat_uikit_shared: ^4.2.1`


## 4.1.0 - 14th December 2023

### Added
- components `AIAssistBot` and `AIConversationSummary`
- dateSeparatorStyle in CometChatMessageList
- apiConfiguration in `AIAssistBot`, `AIConversationStarter`, `AIConversationSummary` and `AISmartReplies`
- support for customizing the AI option in `CometChatMessageComposer` using the properties: `aiIcon`, `aiIconURL`, `aiIconPackageName` and `aiOptionStyle`


### Changed

- [CometChat Chat SDK](https://pub.dev/packages/cometchat_sdk) dependency upgraded to `cometchat_sdk: ^4.0.4`
- [cometchat_uikit_shared](https://pub.dev/packages/cometchat_uikit_shared) dependency upgraded to `cometchat_uikit_shared: ^4.0.7`

## 4.0.5 - 24th November 2023

### Fixed
- removed permission.MANAGE_EXTERNAL_STORAGE

### Changed

- [cometchat_uikit_shared](https://pub.dev/packages/cometchat_uikit_shared) dependency upgraded to `cometchat_uikit_shared: ^4.0.5`


## 4.0.4 - 13th November 2023

### Added
- support for Interactive Messages i.e Form Message and Card Message
- support for modifying margin and padding in CometchatListItem

### Changed

- [CometChat Chat SDK](https://pub.dev/packages/cometchat_sdk) dependency upgraded to `cometchat_sdk: ^4.0.3`
- [cometchat_uikit_shared](https://pub.dev/packages/cometchat_uikit_shared) dependency upgraded to `cometchat_uikit_shared: ^4.0.4`


## 4.0.3 - 18th October 2023

### Fixed
- Emoji keyboard interferes with the virtual home button on iPhone

### Changed
- [cometchat_uikit_shared](https://pub.dev/packages/cometchat_uikit_shared) dependency upgraded to `cometchat_uikit_shared: ^4.0.3`
- Class name AiExtension changed to  AiExtension
- Changed `smartReplyView` and `conversationStarterView` properties to `customView`

## 4.0.2 - 14th October 2023

### Added
- support for modifying the color of the voice recording button in `CometChatMessageComposer` using `voiceRecordingIconTint` property of `MessageComposerStyle`.
- support for custom attachment options, sound and ability to disable read receipts in `CometChatThreadedMessages`.

### Fixed
- import issues of `AiConversationStarter`.
- theme issues in `CometChatThreadedMessages`.

### Removed
- unnecessary logs

## 4.0.1 - 13th October 2023

### Added

- support for ai features: `AiSmartReply` and `AiConversationStarter`
- `AiSmartReply` provides a list of replies generated using AI for a received message in a conversation
- `AiConversationStarter` gives a list of opening messages generated using AI for starting a conversation when no messages have been exchanged between the participants in a conversation
- a button has been added in `CometChatMessageComposer` tapping on which will list the enabled ai features

### Changed

- [CometChat Chat SDK](https://pub.dev/packages/cometchat_sdk) dependency upgraded to `cometchat_sdk: ^4.0.2`
- [cometchat_uikit_shared](https://pub.dev/packages/cometchat_uikit_shared) dependency upgraded to `cometchat_uikit_shared: ^4.0.2`

## 4.0.0 - 5th September 2023

### Added

- support for handling events received when disconnected websocket connection is reestablished in `CometChatUsers`, `CometChatGroups`, `CometChatConversations` and `CometChatMessageList`.
- support for handling calling events received in `CometChatConversations` 
- all Extension classes conform to the updated `ExtensionsDataSource` class by implementing new methods `addExtension` and `getExtensionId`.
- properties to configure color of the sticker icon shown in `CometChatMessageComposer`.
- 

### Changed

- [CometChat Chat SDK](https://pub.dev/packages/cometchat_sdk) dependency upgraded to `cometchat_sdk: ^4.0.1`
- [cometchat_uikit_shared](https://pub.dev/packages/cometchat_uikit_shared) dependency upgraded to `cometchat_uikit_shared: ^4.0.1`
- order of options shown for a message in `CometChatMessageList`
- replaced implementation of `SoundManager` with `CometChatUIKit.soundManager`.
- replaced implementation of `ChatConfigurator.getDataSource()` with `CometChatUIKit.getDataSource()`.

### Removed

- property `hideCreateGroup` from `CometChatGroupsWithMessages`
- Emoji and `emojiIconTint` from `CometChatMessageComposer`
- unused assets
- dead code

### Fixed

- background color of message reactions

## 4.0.0-beta.2 - 7th August 2023

### Added

- support for audio and video calling through CometChat's call ui kit plugin.
- Messages information for sent messages.
- Send audio recordings through CometChatMessageComposer.
- Share messages to other applications on the device.

### Changed

- Upgrade kotlin version for native code: 1.7.10.
- Callback function signature for onMessageSend parameter in ComeChatMessageComposer.

### Removed

- Shared module moved to a different package [cometchat_uikit_shared](https://pub.dev/packages/cometchat_uikit_shared).


## 4.0.0-beta.1 - 22nd June 2023

- 🎉 first release!